/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package Metodos;

import ConjuntoDifuso.Alternativa;
import ConjuntoDifuso.ConjuntoIntuicionista;
import ConjuntoDifuso.Opciones;

/**
 *
 * @author Timbo
 */
public class CalcularEjemplo {

    private Opciones datos;

    public CalcularEjemplo() {
        init1();
    }

    private void init1() {

        datos = new Opciones();
        Alternativa a;

        a = new Alternativa();
        a.addCriterio(new ConjuntoIntuicionista(0.6, 0.25));
        a.addCriterio(new ConjuntoIntuicionista(0.7, 0.15));
        a.addCriterio(new ConjuntoIntuicionista(0.65, 0.2));
        a.addCriterio(new ConjuntoIntuicionista(0.7, 0.1));
        datos.addAlternativa(a);

        a = new Alternativa();
        a.addCriterio(new ConjuntoIntuicionista(0.55, 0.25));
        a.addCriterio(new ConjuntoIntuicionista(0.65, 0.25));
        a.addCriterio(new ConjuntoIntuicionista(0.8, 0.1));
        a.addCriterio(new ConjuntoIntuicionista(0.65, 0.15));
        datos.addAlternativa(a);

        a = new Alternativa();
        a.addCriterio(new ConjuntoIntuicionista(0.75, 0.1));
        a.addCriterio(new ConjuntoIntuicionista(0.55, 0.3));
        a.addCriterio(new ConjuntoIntuicionista(0.6, 0.25));
        a.addCriterio(new ConjuntoIntuicionista(0.6, 0.15));
        datos.addAlternativa(a);

        a = new Alternativa();
        a.addCriterio(new ConjuntoIntuicionista(0.65, 0.1));
        a.addCriterio(new ConjuntoIntuicionista(0.7, 0.25));
        a.addCriterio(new ConjuntoIntuicionista(0.6, 0.2));
        a.addCriterio(new ConjuntoIntuicionista(0.75, 0.15));
        datos.addAlternativa(a);
    }

    private void verMetodos() {

        System.out.println("*************Pearson 1:*************");
        datos.calcularCompativilidadMm();
        System.out.println("Coeficientes:");
        datos.calcularCorrelacionPearson1();
        datos.mostrarCoeficientes();

        System.out.println("*************Pearson2:*************");
        datos.calcularCompativilidadMm();
        System.out.println("Coeficientes:");
        datos.calcularCorrelacionPearson2();
        datos.mostrarCoeficientes();

    }

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {

        CalcularEjemplo c = new CalcularEjemplo();
        c.verMetodos();
    }

}
