package Metodos;

import ConjuntoDifuso.Alternativa;
import ConjuntoDifuso.ConjuntoIntuicionista;
import ConjuntoDifuso.Opciones;

public class Similiradidad1 {

    private Opciones datos;

    public Similiradidad1() {

//        Ejemplo 4.1.

        System.out.println("****************************");
        System.out.println("Cargando ejemplo 4.1...");
        System.out.println("****************************\n");
        initExample41();

        System.out.println("Sin pesos...");
        datos.sinPesos();
        System.out.println();

        aplicarMetodos();

        System.out.println("Calculando pesos...");
        datos.calcularPesos();
        datos.mostrarPesos();
        System.out.println();

        aplicarMetodos();

        System.out.println("Calculando compativilidad MaxMin...");
        datos.calcularCompativilidadMm();
        datos.mostrarPesos();
        System.out.println();

        aplicarMetodos();

        System.out.println("Calculando compativilidad MinMax...");
        datos.calcularCompativilidadmM();
        datos.mostrarPesos();
        System.out.println();

        aplicarMetodos();

        System.out.println("Calculando compativilidad T-Conorma T-Norma...");
        datos.calcularCompativilidadTCTN();
        datos.mostrarPesos();
        System.out.println();

        aplicarMetodos();

        System.out.println("Calculando compativilidad T-Norma T-Conorma...");
        datos.calcularCompativilidadTNTC();
        datos.mostrarPesos();
        System.out.println();

        aplicarMetodos();

//        Ejemplo 4.2.

        System.out.println("****************************");
        System.out.println("Cargando ejemplo 4.2...");
        System.out.println("****************************\n");
        initExample42();

        System.out.println("Sin pesos...");
        datos.sinPesos();
        System.out.println();

        aplicarMetodos();

        System.out.println("Calculando pesos...");
        datos.calcularPesos();
        datos.mostrarPesos();
        System.out.println();

        aplicarMetodos();

        System.out.println("Calculando compativilidad MaxMin...");
        datos.calcularCompativilidadMm();
        datos.mostrarPesos();
        System.out.println();

        aplicarMetodos();

        System.out.println("Calculando compativilidad MinMax...");
        datos.calcularCompativilidadmM();
        datos.mostrarPesos();
        System.out.println();

        aplicarMetodos();

        System.out.println("Calculando compativilidad T-Conorma T-Norma...");
        datos.calcularCompativilidadTCTN();
        datos.mostrarPesos();
        System.out.println();

        aplicarMetodos();

        System.out.println("Calculando compativilidad T-Norma T-Conorma...");
        datos.calcularCompativilidadTNTC();
        datos.mostrarPesos();
        System.out.println();

        aplicarMetodos();
    }

    private void initExample41() {

        datos = new Opciones();
        Alternativa a;
        a = new Alternativa();
        a.addCriterio(new ConjuntoIntuicionista(0.45, 0.35));
        a.addCriterio(new ConjuntoIntuicionista(0.5, 0.3));
        a.addCriterio(new ConjuntoIntuicionista(0.2, 0.55));
        datos.addAlternativa(a);

        a = new Alternativa();
        a.addCriterio(new ConjuntoIntuicionista(0.65, 0.25));
        a.addCriterio(new ConjuntoIntuicionista(0.65, 0.25));
        a.addCriterio(new ConjuntoIntuicionista(0.55, 0.15));
        datos.addAlternativa(a);

        a = new Alternativa();
        a.addCriterio(new ConjuntoIntuicionista(0.45, 0.35));
        a.addCriterio(new ConjuntoIntuicionista(0.55, 0.35));
        a.addCriterio(new ConjuntoIntuicionista(0.55, 0.2));
        datos.addAlternativa(a);

        a = new Alternativa();
        a.addCriterio(new ConjuntoIntuicionista(0.75, 0.15));
        a.addCriterio(new ConjuntoIntuicionista(0.65, 0.2));
        a.addCriterio(new ConjuntoIntuicionista(0.35, 0.15));
        datos.addAlternativa(a);

    }

    private void initExample42() {

        datos = new Opciones();
        Alternativa a;
        a = new Alternativa();
        a.addCriterio(new ConjuntoIntuicionista(0.85, 0.1));
        a.addCriterio(new ConjuntoIntuicionista(0.75, 0.1));
        a.addCriterio(new ConjuntoIntuicionista(0.7, 0.15));
        a.addCriterio(new ConjuntoIntuicionista(0.7, 0.1));
        datos.addAlternativa(a);

        a = new Alternativa();
        a.addCriterio(new ConjuntoIntuicionista(0.7, 0.1));
        a.addCriterio(new ConjuntoIntuicionista(0.8, 0.15));
        a.addCriterio(new ConjuntoIntuicionista(0.85, 0.1));
        a.addCriterio(new ConjuntoIntuicionista(0.7, 0.15));
        datos.addAlternativa(a);

        a = new Alternativa();
        a.addCriterio(new ConjuntoIntuicionista(0.8, 0.1));
        a.addCriterio(new ConjuntoIntuicionista(0.85, 0.1));
        a.addCriterio(new ConjuntoIntuicionista(0.75, 0.15));
        a.addCriterio(new ConjuntoIntuicionista(0.7, 0.15));
        datos.addAlternativa(a);
    }

    private void aplicarMetodos() {

        System.out.print("Calculando coeficientes de correlacion (Metodo de Jun Ye)...");
        datos.calcularCoeficienteCorrelacion();
        System.out.println();
        datos.mostrarCoeficientes();
        System.out.println();
        datos.ordernarAlternativas();
        System.out.println("//////////////////////////////////\n");

        System.out.println("Calculando similaridad segun Similarity measures of intuitionistic fuzzy sets based on Hausdorff distance metodo L (Pag 5, formula 15)");
        datos.calcularSimilaridadL();
        datos.mostrarCoeficientes();
        System.out.println();
        datos.ordernarAlternativas();
        System.out.println("//////////////////////////////////\n");

        System.out.println("Calculando similaridad segun Similarity measures of intuitionistic fuzzy sets based on Hausdorff distance metodo E (Pag 5, formula 16)");
        datos.calcularSimilaridadE();
        datos.mostrarCoeficientes();
        System.out.println();
        datos.ordernarAlternativas();
        System.out.println("//////////////////////////////////\n");

        System.out.println("Calculando similaridad segun Similarity measures of intuitionistic fuzzy sets based on Hausdorff distance metodo C (Pag 5, formula 17)");
        datos.calcularSimilaridadC();
        datos.mostrarCoeficientes();
        System.out.println();
        datos.ordernarAlternativas();
        System.out.println("//////////////////////////////////\n");

        System.out.println("Calculando similaridad segun A New Similarity Measure on Intuitionistic Fuzzy Sets, metodo ZF (Pag 3, formula 1)");
        datos.calcularSimilaridadZF();
        datos.mostrarCoeficientes();
        System.out.println();
        datos.ordernarAlternativas();
        System.out.println("//////////////////////////////////\n");

        System.out.println("Calculando similaridad segun A New Similarity Measure on Intuitionistic Fuzzy Sets, metodo ZF(b) (Pag 3, formula 2)");
        datos.calcularSimilaridadZFb();
        datos.mostrarCoeficientes();
        System.out.println();
        datos.ordernarAlternativas();
        System.out.println("//////////////////////////////////\n");

        System.out.println("Calculando similaridad segun A New Similarity Measure on Intuitionistic Fuzzy Sets, metodo ZF(mod) (Pag 4, formula 3)");
        datos.calcularSimilaridadZFmod();
        datos.mostrarCoeficientes();
        System.out.println();
        datos.ordernarAlternativas();
        System.out.println("//////////////////////////////////\n");

        System.out.println("Calculando similaridad segun Correltion of intuitionistic fuzzy sets, metodo de correlacion de Pearson (Pag 4, formula 6)");
        datos.calcularCorrelacionPearson1();
        datos.mostrarCoeficientes();
        System.out.println();
        datos.ordernarAlternativas();
        System.out.println("//////////////////////////////////\n");

        System.out.println("Calculando similaridad segun Correltion of intuitionistic fuzzy sets, metodo de correlacion de Pearson2 (Pag 4, formula 6)");
        datos.calcularCorrelacionPearson2();
        datos.mostrarCoeficientes();
        System.out.println();
        datos.ordernarAlternativas();
        System.out.println("//////////////////////////////////\n");

        System.out.println("Calculando similaridad segun Correlation of interval-valued intuitionistic fuzzy sets, metodo de similiradid basado en la energia de un conjunto (Pag 4, Definition 1)");
        datos.calcularCorrelacionEnergia();
        datos.mostrarCoeficientes();
        System.out.println();
        datos.ordernarAlternativas();
        System.out.println("//////////////////////////////////\n");

        System.out.println("Calculando similaridad segun REF, con a1: y=x y a2: y=(e^x-1)/(e-1))");
        datos.calcularSimilaridadREF();
        datos.mostrarCoeficientes();
        System.out.println();
        datos.ordernarAlternativas();
        System.out.println("//////////////////////////////////\n");
    }

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {

        Similiradidad1 s = new Similiradidad1();
    }
}
